#
# spec file for package almanah
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           almanah
Version:        0.11.1
Release:        1.5
# FIXME: Remove -UE_CAL_DISABLE_DEPRECATED from CFLAGS (bgo#698259)
Summary:        GTK+ application to allow you to keep a diary of your life
License:        GPL-3.0+
Group:          Productivity/Office/Other
Url:            https://live.gnome.org/Almanah_Diary
Source:         http://download.gnome.org/sources/almanah/0.11/%{name}-%{version}.tar.xz
BuildRequires:  gpgme-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  sqlite3-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cryptui-0.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.5.6
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(libecal-1.2) >= 3.5.91
BuildRequires:  pkgconfig(libedataserver-1.2)
Requires:       evolution-data-server
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Almanah Diary is a small application to ease the management of an encrypted
personal diary. It's got good editing abilities, including text formatting
and printing. Evolution tasks and appointments will be listed to ease the
creation of diary entries related to them. At the same time, you can create
diary entries using multiple events.

%lang_package

%prep
%setup -q

%build
export CFLAGS="%{optflags} -UE_CAL_DISABLE_DEPRECATED"
%configure --enable-encryption
make %{?_smp_mflags}

%install
%make_install install_sh=$(pwd)/install-sh
%suse_update_desktop_file %{name} X-SuSE-DesktopUtility
%find_lang %{name} %{?no_lang_C}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/almanah.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/actions/almanah-tags-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/GConf/
%dir %{_datadir}/GConf/gsettings/
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%files lang -f %{name}.lang

%changelog
* Thu Sep 25 2014 dimstar@opensuse.org
- Update to version 0.11.1:
  + Improved AppData support for Software App.
  + Updated translations.
* Sat Nov 30 2013 dimstar@opensuse.org
- Update to version 0.11.0:
  + Improved the tagging accesibility.
  + Enhanced the diary security.
  + Changed the tagging look (new button with a symbolic link in
    the toolbar and the tag bar shown integrated in the main
    toolbar).
  + Added a new 256x256 icon, that looks better in GNOME Shell.
  + Added an AppData file to show a completed information in
    Software App.
  + Updated translations.
- Drop almanah-includes.patch: fixed upstream.
- Pass install_sh=$(pwd)/install-sh to make_install: for some weird
  reason, the tarball fails to find it.
* Thu Apr 18 2013 dimstar@opensuse.org
- Update to version 0.10.8:
  + Main window redesign.
  + Tagging support.
  + Port to GMenu.
  + Dropped the libedataserverui dependency and embed the
    ECellRendererColor and ESourceSelector widgets.
  + Hide the title bar in maximized windows.
  + Updated GtkSpell 3 support.
  + Updated EDS dependency to 3.5.91.
  + Bugs fixed: bgo#677209, bgo#680845.
  + Updated translations.
- Replace pkgconfig(gtkspell-3.0) BuildRequires with
  pkgconfig(gtkspell3-3.0), following upstream.
- Drop pkgconfig(libedataserverui-3.0) BuildRequires: no longer
  needed.
- Add -UE_CAL_DISABLE_DEPRECATED to CFLAGS, in order to allow
  deprecated E_CAL functions.
- Add almanah-includes.patch: include interface.h to fix build.
* Sun Mar 17 2013 zaitor@opensuse.org
- Update to version 0.10.1:
  + Almanah doesn't encrypt the database when the application close
    (bgo#695117, bnc#809140, CVE-2013-1853).
* Sat Sep 22 2012 dimstar@opensuse.org
- Update to version 0.10.0:
  + Major changes:
  - Updated EDS events integration to the new 3.5.91 API
  - Second phase of the new UI
  - Now is set the default file name when the user doing "Print
    to File"
  - Updated HACKING doc with general principles and a security
    policy
  + Bugs fixed: bgo#683570, bgo#680845, bgo#676765, bgo#676931,
    bgo#676766
  + Updated translations.
- Drop pkgconfig(gconf-2.0) BuildRequires: no longer needed.
* Thu Mar 29 2012 dimstar@opensuse.org
- Add %%glib2_gsettings_schema_* schema handling in preamble and
  post/postun.
- Don't complicate post/postun with checks for obsoleted openSUSE
  versions.
* Mon Mar 26 2012 zaitor@opensuse.org
- Update to version 0.9.0:
  + Removed ‘definitions’ in favour of hyperlinks.
  + Move to a new XML-based entry serialisation format.
  + Use the new GApplication single instance mechanism.
  + Various fixes to the import system.
  + Search is now asynchronous and case-insensitive.
  + Fixed build with --enable-spell-checking and
  - -disable-encryption.
  + The first phase of a major re-working of the UI to make it more
    GNOME-3-ish.
  + Re-enable spell checking with GTK+3.
  + Automatically save the current entry every 5 minutes.
  + Bugs fixed: bgo#631835, bgo#622193, bgo#647691, bgo#647690,
    bgo#662016, bgo#662014, bgo#667263, bgo#666801, bgo#671801,
    bgo#669927.
  + Updated translations.
- Drop almanah-largefile.patch: fixed upstream.
- Remove gnome-common BuildRequires and call to gnome-autogen.sh:
  they were only needed for above patch.
- Add pkgconfig(gtkspell-3.0) BuildRequires for spell checking
  support.
* Sat Mar  3 2012 dimstar@opensuse.org
- Add X-SuSE-DesktopUtility to the categories of almanah in order
  to fix the build.
* Sat Dec 24 2011 vuntz@opensuse.org
- Add almanah-largefile.patch to fix build, instead of changing
  CFLAGS.
- Cleanup for inclusion in Factory.
* Sat Dec  3 2011 badshah400@gmail.com
- Initial package (version 0.8.0)
